package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisKomponenIndex
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "JenisKomponenIndex_M")
public class JenisKomponenIndexVO extends BaseMasterVO {
	@Caption(value="Jenis Komponen Index")
	private String jenisKomponenIndex;

	public void setJenisKomponenIndex(String jenisKomponenIndex) {
		this.jenisKomponenIndex = jenisKomponenIndex;
	}

	@Column(name = "JenisKomponenIndex", nullable = false , length = 50)
	public String getJenisKomponenIndex(){
		return this.jenisKomponenIndex;
	}

	@Caption(value="Kode Jenis Komponen Index")
	private String kdJenisKomponenIndex;

	public void setKdJenisKomponenIndex(String kdJenisKomponenIndex) {
		this.kdJenisKomponenIndex = kdJenisKomponenIndex;
	}

	@Column(name = "KdJenisKomponenIndex", nullable = false , length = 1)
	public String getKdJenisKomponenIndex(){
		return this.kdJenisKomponenIndex;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectJenisKomponenIndexHeadFk")
	@Caption(value="Object Jenis Komponen Index Head")
	private JenisKomponenIndexVO jenisKomponenIndexHead;

	public void setJenisKomponenIndexHead(JenisKomponenIndexVO jenisKomponenIndexHead) {
		this.jenisKomponenIndexHead = jenisKomponenIndexHead;
	}

	@Column(name = "KdJenisKomponenIndexHead", nullable = true , length = 1)
	public JenisKomponenIndexVO getJenisKomponenIndexHead(){
		return this.jenisKomponenIndexHead;
	}

	@Column(name = "ObjectJenisKomponenIndexHeadFk", insertable=false,updatable=false)
	private Integer jenisKomponenIndexHeadId;

	@Caption(value="No Urut")
	private Byte noUrut;

	public void setNoUrut(Byte noUrut) {
		this.noUrut = noUrut;
	}

	@Column(name = "NoUrut", nullable = false )
	public Byte getNoUrut(){
		return this.noUrut;
	}

	@Caption(value="QJenis Komponen Index")
	private Byte qJenisKomponenIndex;

	public void setqJenisKomponenIndex(Byte qJenisKomponenIndex) {
		this.qJenisKomponenIndex = qJenisKomponenIndex;
	}

	@Column(name = "QJenisKomponenIndex", nullable = false )
	public Byte getqJenisKomponenIndex(){
		return this.qJenisKomponenIndex;
	}

	/*//
	@OneToMany(fetch=FetchType.LAZY, cascade = CascadeType.ALL, mappedBy="kdjeniskomponenindexhead")
	private Set<JenisKomponenIndex> JenisKomponenIndexSet = new HashSet<JenisKomponenIndex>();

	public Set<JenisKomponenIndex> getJenisKomponenIndexSet() {
		return JenisKomponenIndexSet;
	}

	public void setJenisKomponenIndexSet(Set<JenisKomponenIndex> jenisKomponenIndexSet) {
		JenisKomponenIndexSet = jenisKomponenIndexSet;
	}*/

}

